# Create the Scroll Component
scroll = new ScrollComponent
	width: 375, height: 667
	point: Align.center
	borderColor: "gray", borderWidth: 1
	scrollHorizontal: no


# Add 6 content layers
for index in [0...6]
	layer = new Layer
		width: 341, height: 200, borderRadius: 10
		backgroundColor: "#7DDD11"
		parent: scroll.content
		x: 16 
		y: 216 * index


# status bar + navigation bar
statusAndNavigationBar = new Layer
	width: scroll.width, height: 64
	backgroundColor: "#2DD7AA"
	parent: scroll
	opacity: .8

# toolbar at the bottom of the screen
toolBar = new Layer
	width: scroll.width, height: 44
	backgroundColor: "#2DD7AA"
	parent: scroll
	opacity: .8
	y: scroll.height - 44


# content inset for the top & bottom bars
scroll.contentInset =
	top: statusAndNavigationBar.height + 16
	bottom: toolBar.height + 16


# changing the bounce options
scroll.content.draggable.bounceOptions =
	tension: 500,
	friction: 10,
	tolerance: 1
